### php.java.servlet

# Class Context

- `java.lang.Object`

- `php.java.bridge.http.Context`

- `php.java.servlet.Context`

Implemented Interfaces:
  Invocable

`public class Context`
`extends Context`

A custom context which keeps the HttpServletResponse.

Author:
  jostb

## Field Summary

### Fields inherited from class php.java.bridge.http.Context

`ENGINE_SCOPE`, `GLOBAL_SCOPE`

## Constructor Summary

`Context(javax.servlet.http.HttpServletResponse res)`
  Create a new context.

## Method Summary

`java.io.Writer`

`getWriter()`
  Retrieves an instance of java.io.Writer which can be used by scripts to display their output.

### Methods inherited from class php.java.bridge.http.Context

`call`, `getAttribute`, `getAttribute`, `getAttributesScope`, `getMap`, `getWriter`, `removeAttribute`, `setAttribute`, `setMap`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### Context

    public Context(javax.servlet.http.HttpServletResponse res)

> Create a new context.

> Parameters:
>   `res` - The HttpServletResponse

## Method Details

### getWriter

    public java.io.Writer getWriter()
                throws java.io.IOException

> Retrieves an instance of java.io.Writer which can be used by scripts to display their output.
> Overrides:
>   getWriter in interface Context

> Returns:
>   an instance of java.io.Writer